import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
/**
 * GameTimer-Subclass of Actor class. Class has a counter that starts from 180 down to 0 which is approximatly 3 minutes * 
 * @author (Esther John) 
 * @version (2/5/2011)
 */
public class GameTimer  extends Actor
{
    private Label mylabel;
    public static int counter = 18000; //Timer variable
    public GameTimer(Label label)
    {
        mylabel=label;
    }
   /**
    * act - Decides the result of the game. If counter reaches 0 before all the objects are revealed
    * the game ends. 
    */
    public void act()
    {
        mylabel.setText("Timer:"+(counter/100));

        if(counter < 1)
        {
            counter=18000;
            Haloween.reveal=0;
            Haloween.stopSound();
            mylabel.setLocation(300, 200);
            mylabel.makeImage("GameOver","You Lost ");
            //javax.swing.JOptionPane.showMessageDialog(null, "Game over!!!");
            Greenfoot.stop();
        } 
        else if(Haloween.reveal>19)
        { 
            Haloween.reveal=0;
            counter=18000;
            Haloween.stopSound();
            mylabel.setLocation(300, 200);
            mylabel.makeImage("GameOver","You Won!!");
           // javax.swing.JOptionPane.showMessageDialog(null, "You Won!!!! ");
            Greenfoot.stop();
        }
        counter--;
       }
}
